<?php
error_reporting(0); 
include("../../config/ht.php");
session_start();
if(!isset($_SESSION['adminname'])){echo "<script>alert('请重新登录!')</script><script>top.location.href='/$htlj/'</script>";exit;}
$adminname=$_SESSION['adminname'];
$type="where name='$adminname'";
$adminpd=queryall(admin,$type);
if(!$adminpd){echo "<script>alert('请重新登录!')</script><script>top.location.href='/$htlj/'</script>";exit;}
if($adminpd[qx]=='超级管理员'){}else{echo "<script>alert('无权限')</script><script>top.location.href='/$htlj/'</script>";exit;}
$userid=ubo($_GET["userid"]);
?>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="gb2312">
<title>推广链接</title>
<meta name="renderer" content="webkit">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="format-detection" content="telephone=no">
<link rel="stylesheet" href="/layui/css/layui.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/font-awesome.min.css" media="all" />
<link rel="stylesheet" href="/2019newui/houtai/css/admin.css" media="all">
<link rel="stylesheet" href="/2019newui/houtai/css/peizhi.css" media="all">
<script src='/2019newui/js/jquery.min.js' type="text/javascript"></script>
<script src="/layui/layui.js"></script>
</head>
<body style="padding:10px;">
<div class="tplay-body-div">
<?php
$sql = mysql_query("SELECT * FROM tlink");
$bs = mysql_num_rows($sql);
?>
<fieldset class="layui-elem-field layui-field-title" style="margin-top:20px;"><legend>推广链接(<?php if($bs==null){?>0<?php }else{?><?php echo $bs?><?php }?>个)</legend></fieldset>
<div class="layui-tab layui-tab-brief">
<div class="layui-tab-content">
<div class="layui-form-item">
<div class="layui-inline">
<label class="layui-form-label">代理ID</label>
<div class="layui-input-block">
<input type="text"  name="userid"  id="userid"  autocomplete="off" class="layui-input" value="<?php if($userid){echo $userid;}?>">
</div>
</div>
<button class="layui-btn"  onclick="so()"><i class="layui-icon" style="">&#xe615;</i> 查询</button>
</div>
</div> 
<table class="layui-table"  id="data-row">
<thead>
<tr>
<th style="text-align:center;width:34px;" >勾选</th>
<th style="text-align:center;">代理ID</th>
<?php if($pic==1){?><th style="text-align:center;width: 120px;" >缩略图</th><?php }?>
<th style="text-align:center;">网站名称</th>
<th style="text-align:center;">推广链接</th>
<!--
<th style="text-align:center;">字体颜色</th>
<th style="text-align:center;">边框颜色</th>
<th style="text-align:center;">字体大小</th>
-->
</tr>
</thead>
<tbody>
<?php 
$page_size=10; 
$sql = "WHERE 1=1";
if($userid){
$sql .=" and userid='$userid'";
}
$result = mysql_query("select id from tlink   ".$sql."  ");
$count = mysql_num_rows($result); 
if($count == 0){echo '<tr><td colspan=15 style="text-align:center;">查询不到数据</td></tr>';}
$page_count = ceil($count/$page_size); 
$init=1; 
$page_len=7; 
$max_p=$page_count; 
$pages=$page_count; 
if(empty($_GET['page'])||$_GET['page']<0){ 
$page=1; 
}else { 
$page=$_GET['page']; 
} 
$offset=$page_size*($page-1); 
$query = mysql_query("select * from  tlink   ".$sql." order by id desc   limit $offset, $page_size");
while ($a=mysql_fetch_array($query)) { 
?> 	
<tr>
<td style="text-align:center;" ><label class="demo--label2"><input class="demo--radio" type="checkbox"   name="ids[]" id="ck-<?php echo $a['id']?>" value="<?php echo $a['id']?>"><span class="demo--checkbox demo--radioInput"></span>   </label></td>
<td style="text-align:center;"><?php echo $a[userid]?></td>	
<?php if($pic==1){?><td style="text-align: center;"><img style="width: 120px; height: 80px; cursor: -webkit-zoom-in;" src="<?php echo $a[pic]?>"  onerror="this.src = '/2019newui/images/nopic.jpg'" ></td><?php }?>
<td style="text-align:center;"><?php echo $a[name]?></td>
<td style="text-align:center;"><?php echo $a[link]?></td>
<!--
<td style="text-align:center; background:<?php echo $a[zt]?>;" ><?php echo $a[zt]?></td>
<td style="text-align:center; background:<?php echo $a[bk]?>;" ><?php echo $a[bk]?></td>
<td style="text-align:center;"><?php echo $a[ztdx]?></td>
-->
</tr>
<?php 
} 
$page_len = ($page_len%2)?$page_len:$pagelen+1;//页码个数 
$pageoffset = ($page_len-1)/2;//页码个数左右偏移量 
if($page!=1){ 
if($userid){
$keyt.="<a href=\""."/httglistpageso/1/$userid/\">首页</a>"; //首页 
$keyt.="<a href=\""."/httglistpageso/".($page-1)."/$userid/\">上一页 </a>"; //上一页 
}else{
$keyt.="<a href=\""."/httglistpage/1/\">首页</a>"; //首页 
$keyt.="<a href=\""."/httglistpage/".($page-1)."/\">上一页 </a>"; //上一页 
}
}else { 
$keyt.="<p>首页</p>"; //首页 
$keyt.="<p>上一页 </p>"; //上一页  
} 
if($pages>$page_len){ 
//如果当前页小于等于左偏移 
if($page<=$pageoffset){ 
$init=1; 
$max_p = $page_len; 
}else{//如果当前页大于左偏移 
//如果当前页码右偏移超出最大分页数 
if($page+$pageoffset>=$pages+1){ 
$init = $pages-$page_len+1; 
}else{ 
//左右偏移都存在时的计算 
$init = $page-$pageoffset; 
$max_p = $page+$pageoffset; 
} 
} 
} 
for($i=$init;$i<=$max_p;$i++){ 
if($i==$page){ 
$keyt.='<a class="cur">'.$i.'</a>'; 
} else { 
if($userid){
$keyt.="<a href=\""."/httglistpageso/".$i."/$userid/\">".$i."</a>"; 
}else{
$keyt.="<a href=\""."/httglistpage/".$i."/\">".$i."</a>"; 
}
} 
} 
if($page!=$pages){ 
if($userid){
$keyt.="<a href=\""."/httglistpageso/".($page+1)."/$userid/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/httglistpageso/{$pages}/$userid/\">尾页</a> "; //最后一页 
}else{
$keyt.="<a href=\""."/httglistpage/".($page+1)."/\">下一页 </a> ";//下一页 
$keyt.="<a href=\""."/httglistpage/{$pages}/\">尾页</a> "; //最后一页 
}
}else { 
$keyt.="<p>下一页 </p>";//下一页 
$keyt.="<p>尾页</p>"; //最后一页 
} 
$keyt.="<p class='pageRemark' >当前第 <b>$page</b> 页/共 <b>$pages</b> 页  共 <b>$count</b> 条数据 </p>"; //第几页,共几页 
?> 
<?php if($count =="0"){?><?php }else{?>
<tr>
<td  colspan="8" style="text-align:left;padding-left:20px;" >
<a class="btn btn-success btn-xs chk-all" href="#" role="button">全选</a>  
<a class="btn btn-danger btn-xs unchk-all" href="#" role="button">全不选</a>
<a class="btn btn-danger btn-xs multipleDelete" href="#" role="button">批量删除</a>
</td>
</tr>
<?php }?>
</tbody>
</table>
<!--分页-->
<div style="padding:0 20px;">
<div class="pagination">
<?php if($count =="0"){?><?php }else{?><?php echo $keyt?><?php }?>
</div>
</div>
</div>
</div>
</div>
</div>
<?php if($pic==1){?>
<div id="img-div" style="position: fixed; left: 0; right: 0; bottom: 0; top: 0; z-index: 999999; text-align: center; display: none; ">
<img id="big-img" style="position:relative;z-index:99999;cursor:-webkit-zoom-out;" src="">
<div style="position:fixed;left:0;right:0;bottom:0;top:0;background:#000000;opacity:0.4; z-index:111;">
</div>
</div>
<?php }?>
<script>
layui.use(['form', 'layedit', 'laydate', 'element', 'jquery', 'layer'], function(){
var form = layui.form
,layer   = layui.layer
,layedit = layui.layedit
,element = layui.element
,$= layui.jquery
,laydate = layui.laydate;
});
</script>
<?php if($count =="0"){?>
<?php }else{?>
<script type="text/javascript">
$(function() {
$(document).on('click', '.chk-all', function(event) {
event.preventDefault();
$('input[name="ids[]"]').prop('checked', 'checked');
});
$(document).on('click', '.unchk-all', function(event) {
event.preventDefault();
$('input[name="ids[]"]').prop('checked', false);
});
$(document).on('change', 'input[name="ids[]"]', function(event) {
event.preventDefault();
});
});
$(document).on('click', '.multipleDelete', function(event) {
event.preventDefault();
var _ids = '';
$.each($('input[name="ids[]"]:checked'), function(index, val) {
_ids += $(val).val()+',';
});
if (_ids == '') {
layer.msg('请选择要操作的ID');
return false;
}
layer.confirm("确定要删除吗？", { title: "确认" }, function (index) {
layer.close(index);
// 批量删除
var index = layer.load(3, {
shade: [0.1,'#fff'] 
});
$.ajax({
type : "post",
url : "/htpost<?php echo $dshz?>",
dataType: "json",  
async: true,
data: {id: _ids,lx:'tlinksc'},
timeout: 10000 ,
success : function(data){
if(data.zt=='1'){  
layer.closeAll('loading');
layer.msg('批量删除成功');
location.reload();
} 
},
error:function(){
}
});
});
});
</script>
<?php }?>
<script type="text/javascript">
function so() {
var userid = $('#userid').val();
if (userid== '') {
layer.msg('查询条件不能为空');
return false;
}
window.location.href='/httglistpageso/1/'+userid+'/'; 
}
<?php if($pic==1){?>
$(function () {
$("body").on('click', '#data-row img', function () {
$("#big-img").attr("src", this.src);
var tWidth = document.body.offsetWidth;
var tHeight = window.screen.availHeight;
var sw = this.width;
var sh = this.height;
var tRate = tWidth * 1.0 / tHeight;
var rate = sw * 1.0 / sh;
var rh;
if (tRate > rate) {
$("#big-img").css("height", (tHeight - 280) + 'px');
$("#big-img").css('width', 'auto');
rh = tHeight - 80;
} else {
$("#big-img").css("width", '80%');
$("#big-img").css('height', '60%');
rh = sh / sw * (tWidth * 0.8);
}
if (rh < tHeight - 100) {
$("#big-img").css('margin-top', (tHeight - rh) / 2 + 'px');
} else {
$("#big-img").css('margin-top', '6px');
}
$("#img-div").show();
});
$("#img-div").click(function () {
$("#img-div").hide();
});
});
<?php }?>
</script>
</body>
</html>